#ifndef DU_COLORS_INCLUDED
#define DU_COLORS_INCLUDED

#include "dt_smiles.h"

#ifdef __cplusplus
extern "C" {
#endif

#define DU_COLOR_COW 0
#define DU_COLOR_COB 1
#define DU_COLOR_BOW 2
#define DU_COLOR_WOB 3

void du_setmode_color(int colormode);
int du_mode_color(void);

int du_fg_color(void);
int du_bg_color(void);
int du_atom_color(int atno);
int du_gray_color(int pct);

void du_coloratoms(dt_Handle dep);
void du_colormatch(dt_Handle dep, dt_String smarts);

#ifdef __cplusplus
}
#endif

#endif
